Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225612 - Merge Review: beagle
Summary: Merge Review: beagle
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adel Gadllah
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 17:45 UTC by Nobody's working on this, feel free to take it
Modified: 2009-03-02 18:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-02 18:43:12 UTC
tcallawa: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 17:45:04 UTC
Fedora Merge Review: beagle

http://cvs.fedora.redhat.com/viewcvs/devel/beagle/
Initial Owner: alexl@redhat.com

Comment 1 Tom "spot" Callaway 2009-01-16 21:21:57 UTC
Okay, here comes rpmlint on the latest in rawhide:

beagle.src: W: strange-permission beagle-thunderbird-update.sh 0775

Probably safe to ignore.

beagle.x86_64: W: non-conffile-in-etc /etc/beagle/crawl-rules/crawl-windows
beagle.x86_64: W: non-conffile-in-etc /etc/beagle/config-files/BeagleSearch.xml
beagle.x86_64: W: non-conffile-in-etc /etc/beagle/query-mapping.xml
beagle.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/beagled-autostart.desktop
beagle.x86_64: W: non-conffile-in-etc /etc/beagle/crawl-rules/crawl-applications
beagle.x86_64: W: non-conffile-in-etc /etc/beagle/config-files/Networking.xml
beagle.x86_64: W: non-conffile-in-etc /etc/beagle/blocate.conf
beagle.x86_64: W: non-conffile-in-etc /etc/beagle/crawl-rules/crawl-monodoc
beagle.x86_64: W: non-conffile-in-etc /etc/beagle/external-filters.xml.sample
beagle.x86_64: W: non-conffile-in-etc /etc/beagle/config-files/Daemon.xml
beagle.x86_64: W: non-conffile-in-etc /etc/beagle/crawl-rules/crawl-documentation
beagle.x86_64: W: non-conffile-in-etc /etc/beagle/crawl-rules/crawl-executables
beagle.x86_64: W: non-conffile-in-etc /etc/beagle/config-files/FilesQueryable.xml
beagle.x86_64: W: non-conffile-in-etc /etc/beagle/crawl-rules/crawl-manpages

Please mark all of these as %config(noreplace).

beagle.x86_64: E: non-executable-script /usr/lib64/beagle/keygrabber.py 0644

Please fix permissions on that script.

beagle.x86_64: W: non-standard-uid /var/cache/beagle beaglidx
beagle.x86_64: W: non-standard-gid /var/cache/beagle beaglidx
beagle.x86_64: W: non-standard-uid /var/cache/beagle/indexes beaglidx
beagle.x86_64: W: non-standard-gid /var/cache/beagle/indexes beaglidx

Safe to ignore.

beagle.x86_64: W: devel-file-in-non-devel-package /usr/bin/beagle-config
beagle.x86_64: W: devel-file-in-non-devel-package /usr/lib64/beagle/libbeagleglue.so

beagle.x86_64: E: explicit-lib-dependency libbeagle

Safe to ignore. Odd that it doesn't end up building against libbeagle though.

beagle.x86_64: W: dangerous-command-in-%post rm
beagle.x86_64: W: dangerous-command-in-%preun rm

Safe to ignore.

beagle-devel.x86_64: W: no-documentation
Please mark /usr/lib64/monodoc/sources/beagle-docs.* as %doc.

beagle-devel.x86_64: E: only-non-binary-in-usr-lib

Safe to ignore.

beagle-epiphany.x86_64: W: no-documentation
beagle-epiphany.x86_64: E: only-non-binary-in-usr-lib

Safe to ignore.

beagle-epiphany.x86_64: E: non-executable-script /usr/lib64/epiphany/2.24/extensions/beagle.py 0644

Please fix permissions on that script.

beagle-evolution.x86_64: W: no-documentation
beagle-evolution.x86_64: E: only-non-binary-in-usr-lib
beagle-firefox.x86_64: W: no-documentation

Safe to ignore.

beagle-firefox.x86_64: E: script-without-shebang /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/locale/zh-CN/contents.rdf
beagle-firefox.x86_64: E: script-without-shebang /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/content/beagleAddFilter.xul
beagle-firefox.x86_64: E: script-without-shebang /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/content/indexLink.xul
beagle-firefox.x86_64: E: script-without-shebang /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/skin/classic/overlay.css
beagle-firefox.x86_64: E: script-without-shebang /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/content/utils.js
beagle-firefox.x86_64: E: script-without-shebang /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/locale/zh-CN/beagle.dtd
beagle-firefox.x86_64: E: script-without-shebang /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/content/beagleAddFilter.js

Are these really executable scripts? Do they need to be chmod +x?

beagle-firefox.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/locale/zh-CN/contents.rdf

Please fix the end of line encoding here. sed -i 's/\r//' foo

beagle-firefox.x86_64: E: only-non-binary-in-usr-lib
beagle-gnome.x86_64: W: no-documentation

Safe to ignore.

beagle-gnome.x86_64: W: devel-file-in-non-devel-package /usr/lib64/beagle/libbeagleuiglue.so

You should have a beagle-gnome-devel package for this one.

beagle-thunderbird.x86_64: W: no-documentation
beagle-thunderbird.x86_64: E: only-non-binary-in-usr-lib

Safe to ignore.

*****

Please make the changes that I illustrated from rpmlint, and I'll finish the review.

Comment 2 Adel Gadllah 2009-02-21 19:50:05 UTC
Thanks for the initial review, I have missed them because I was not CCed on this bug.

I will address the issues noted next week.

Comment 3 Adel Gadllah 2009-02-28 11:51:19 UTC
(In reply to comment #1)
> Okay, here comes rpmlint on the latest in rawhide:


> beagle.x86_64: W: non-conffile-in-etc /etc/beagle/crawl-rules/crawl-windows
> beagle.x86_64: W: non-conffile-in-etc /etc/beagle/config-files/BeagleSearch.xml
> beagle.x86_64: W: non-conffile-in-etc /etc/beagle/query-mapping.xml

OK, done.

> beagle.x86_64: W: non-conffile-in-etc
> /etc/xdg/autostart/beagled-autostart.desktop

Not sure if this should be threated like a config file...

> beagle.x86_64: W: non-conffile-in-etc
> /etc/beagle/crawl-rules/crawl-applications
> beagle.x86_64: W: non-conffile-in-etc /etc/beagle/config-files/Networking.xml
> beagle.x86_64: W: non-conffile-in-etc /etc/beagle/blocate.conf
> beagle.x86_64: W: non-conffile-in-etc /etc/beagle/crawl-rules/crawl-monodoc
> beagle.x86_64: W: non-conffile-in-etc /etc/beagle/external-filters.xml.sample
> beagle.x86_64: W: non-conffile-in-etc /etc/beagle/config-files/Daemon.xml
> beagle.x86_64: W: non-conffile-in-etc
> /etc/beagle/crawl-rules/crawl-documentation
> beagle.x86_64: W: non-conffile-in-etc /etc/beagle/crawl-rules/crawl-executables
> beagle.x86_64: W: non-conffile-in-etc
> /etc/beagle/config-files/FilesQueryable.xml
> beagle.x86_64: W: non-conffile-in-etc /etc/beagle/crawl-rules/crawl-manpages
> 
> Please mark all of these as %config(noreplace).

OK, done.

> beagle.x86_64: E: non-executable-script /usr/lib64/beagle/keygrabber.py 0644
> 
> Please fix permissions on that script.

OK, done

> beagle.x86_64: W: non-standard-uid /var/cache/beagle beaglidx
> beagle.x86_64: W: non-standard-gid /var/cache/beagle beaglidx
> beagle.x86_64: W: non-standard-uid /var/cache/beagle/indexes beaglidx
> beagle.x86_64: W: non-standard-gid /var/cache/beagle/indexes beaglidx
> 
> Safe to ignore.
> 
> beagle.x86_64: W: devel-file-in-non-devel-package /usr/bin/beagle-config
> beagle.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/beagle/libbeagleglue.so
> 
> beagle.x86_64: E: explicit-lib-dependency libbeagle
> 
> Safe to ignore. Odd that it doesn't end up building against libbeagle though.

Is linked at runtime (dlopen)

> beagle-epiphany.x86_64: E: non-executable-script
> /usr/lib64/epiphany/2.24/extensions/beagle.py 0644
> 
> Please fix permissions on that script.

Fixed.

> beagle-firefox.x86_64: E: script-without-shebang
> /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/locale/zh-CN/contents.rdf
> beagle-firefox.x86_64: E: script-without-shebang
> /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/content/beagleAddFilter.xul
> beagle-firefox.x86_64: E: script-without-shebang
> /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/content/indexLink.xul
> beagle-firefox.x86_64: E: script-without-shebang
> /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/skin/classic/overlay.css
> beagle-firefox.x86_64: E: script-without-shebang
> /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/content/utils.js
> beagle-firefox.x86_64: E: script-without-shebang
> /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/locale/zh-CN/beagle.dtd
> beagle-firefox.x86_64: E: script-without-shebang
> /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/content/beagleAddFilter.js
> 
> Are these really executable scripts? Do they need to be chmod +x?

No, fixed.

> beagle-firefox.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/locale/zh-CN/contents.rdf
> 
> Please fix the end of line encoding here. sed -i 's/\r//' foo
> 
> beagle-firefox.x86_64: E: only-non-binary-in-usr-lib
> beagle-gnome.x86_64: W: no-documentation
> 
> Safe to ignore.
> 
> beagle-gnome.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/beagle/libbeagleuiglue.so
> 
> You should have a beagle-gnome-devel package for this one.

No this file gets dlopened its not something that is linked against at build time.

> beagle-thunderbird.x86_64: W: no-documentation
> beagle-thunderbird.x86_64: E: only-non-binary-in-usr-lib
> 
> Safe to ignore.
> 
> *****
> 
> Please make the changes that I illustrated from rpmlint, and I'll finish the
> review.

Thanks, fixed in 0.3.9-4

Comment 4 Tom "spot" Callaway 2009-03-02 13:46:01 UTC
Looks like rpmlint caught one missing -x case, you should add:

find $RPM_BUILD_ROOT -name '*.css' -exec chmod a-x {} ';'

Two more things I noticed:

* the -devel package probably needs to have a Requires: %{name} = %{version}-%{release}

* You should get rid of the userdel/groupdel commands in %post. Removing users is dangerous enough (what if a user chooses "beagleindex" for their username?), and this particular username hasn't been used in a beagle package since before Fedora 7.

== Review ==
- rpmlint checks return:
beagle.src: W: strange-permission beagle-thunderbird-update.sh 0775
beagle.x86_64: W: non-standard-uid /var/cache/beagle beaglidx
beagle.x86_64: W: non-standard-gid /var/cache/beagle beaglidx
beagle.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/beagled-autostart.desktop
beagle.x86_64: W: devel-file-in-non-devel-package /usr/bin/beagle-config
beagle.x86_64: W: devel-file-in-non-devel-package /usr/lib64/beagle/libbeagleglue.so
beagle.x86_64: W: non-conffile-in-etc /etc/beagle/external-filters.xml.sample
beagle.x86_64: W: non-standard-uid /var/cache/beagle/indexes beaglidx
beagle.x86_64: W: non-standard-gid /var/cache/beagle/indexes beaglidx
beagle.x86_64: E: explicit-lib-dependency libbeagle
beagle.x86_64: W: dangerous-command-in-%post rm
beagle.x86_64: W: dangerous-command-in-%preun rm
beagle-gnome.x86_64: W: no-documentation
beagle-gnome.x86_64: W: devel-file-in-non-devel-package /usr/lib64/beagle/libbeagleuiglue.so
beagle-evolution.x86_64: W: no-documentation
beagle-evolution.x86_64: E: only-non-binary-in-usr-lib
beagle-thunderbird.x86_64: W: no-documentation
beagle-thunderbird.x86_64: E: only-non-binary-in-usr-lib
beagle-firefox.x86_64: W: no-documentation
beagle-firefox.x86_64: E: script-without-shebang /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/skin/classic/overlay.css
beagle-firefox.x86_64: E: only-non-binary-in-usr-lib
beagle-epiphany.x86_64: W: no-documentation
beagle-epiphany.x86_64: E: only-non-binary-in-usr-lib
beagle-devel.x86_64: E: only-non-binary-in-usr-lib

All safe to ignore, except the executable .css.

- package meets naming guidelines
- package meets packaging guidelines
- license (ASL 2.0 and MIT and BSD and CC-BY and LGPLv2+ and (AFL or LGPLv2+)) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream 
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok (except for one .css file)
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop files okay
- devel package ok (except for missing requires)
- no .la files
- post/postun ldconfig not needed for mono

== 
With those three items above resolved, I will approve this review.

Thanks in advance.

Comment 5 Adel Gadllah 2009-03-02 15:42:09 UTC
(In reply to comment #4)
> Looks like rpmlint caught one missing -x case, you should add:
> 
> find $RPM_BUILD_ROOT -name '*.css' -exec chmod a-x {} ';'

Missed this one, fixed.

> Two more things I noticed:
> 
> * the -devel package probably needs to have a Requires: %{name} =
> %{version}-%{release}

Adeed.

> * You should get rid of the userdel/groupdel commands in %post. Removing users
> is dangerous enough (what if a user chooses "beagleindex" for their username?),
> and this particular username hasn't been used in a beagle package since before
> Fedora 7.

Agreed, fixed.

> == Review ==
> - rpmlint checks return:
> beagle.src: W: strange-permission beagle-thunderbird-update.sh 0775
> beagle.x86_64: W: non-standard-uid /var/cache/beagle beaglidx
> beagle.x86_64: W: non-standard-gid /var/cache/beagle beaglidx
> beagle.x86_64: W: non-conffile-in-etc
> /etc/xdg/autostart/beagled-autostart.desktop
> beagle.x86_64: W: devel-file-in-non-devel-package /usr/bin/beagle-config
> beagle.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/beagle/libbeagleglue.so
> beagle.x86_64: W: non-conffile-in-etc /etc/beagle/external-filters.xml.sample
> beagle.x86_64: W: non-standard-uid /var/cache/beagle/indexes beaglidx
> beagle.x86_64: W: non-standard-gid /var/cache/beagle/indexes beaglidx
> beagle.x86_64: E: explicit-lib-dependency libbeagle
> beagle.x86_64: W: dangerous-command-in-%post rm
> beagle.x86_64: W: dangerous-command-in-%preun rm
> beagle-gnome.x86_64: W: no-documentation
> beagle-gnome.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/beagle/libbeagleuiglue.so
> beagle-evolution.x86_64: W: no-documentation
> beagle-evolution.x86_64: E: only-non-binary-in-usr-lib
> beagle-thunderbird.x86_64: W: no-documentation
> beagle-thunderbird.x86_64: E: only-non-binary-in-usr-lib
> beagle-firefox.x86_64: W: no-documentation
> beagle-firefox.x86_64: E: script-without-shebang
> /usr/lib64/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/{fda00e13-8c62-4f63-9d19-d168115b11ca}/chrome/skin/classic/overlay.css
> beagle-firefox.x86_64: E: only-non-binary-in-usr-lib
> beagle-epiphany.x86_64: W: no-documentation
> beagle-epiphany.x86_64: E: only-non-binary-in-usr-lib
> beagle-devel.x86_64: E: only-non-binary-in-usr-lib
> 
> All safe to ignore, except the executable .css.
> 
> - package meets naming guidelines
> - package meets packaging guidelines
> - license (ASL 2.0 and MIT and BSD and CC-BY and LGPLv2+ and (AFL or LGPLv2+))
> OK, text in %doc, matches source
> - spec file legible, in am. english
> - source matches upstream 
> - package compiles on devel (x86_64)
> - no missing BR
> - no unnecessary BR
> - no locales
> - not relocatable
> - owns all directories that it creates
> - no duplicate files
> - permissions ok (except for one .css file)
> - %clean ok
> - macro use consistent
> - code, not content
> - no need for -docs
> - nothing in %doc affects runtime
> - .desktop files okay
> - devel package ok (except for missing requires)
> - no .la files
> - post/postun ldconfig not needed for mono
> 
> == 
> With those three items above resolved, I will approve this review.
> 
> Thanks in advance.

Fixed in 0.3.9-5, thanks for the review.

Comment 6 Tom "spot" Callaway 2009-03-02 18:43:12 UTC
Looks good. APPROVED and closing out.


Note You need to log in before you can comment on or make changes to this bug.